收藏
回答

opensetting废弃的情况下如何兼容

问题模块 框架类型 问题类型 API/组件名称 终端类型 操作系统 微信版本 基础库版本
API和组件 小程序 Bug wx.opensetting 微信iOS客户端 6.6 2.0

wx.canIUse("openSetting")这里不管哪个版本都是可行的,现在要考虑openSetting里面授权获取地理位置,这里应该如何写(高版本的我可以去按现在的Button授权的方式,低版本的用以前的方式),求解答

最后一次编辑于  2018-05-23
回答关注问题邀请回答
收藏

1 个回答

  • 小程序技术专员-june
    小程序技术专员-june
    2018-05-23

    可以用canIUse判断button是否支持openSetting,当前的基础库没有更新canIUse可能还无法判断,近期我们会更新上去的。

    2018-05-23
    赞同
    回复